% function l = edge_length(grid)
%
% Gives the length of every boundary edge of the grid
%
% inputs
%   grid structure containing grid info. See gengrid.m
% ouputs
%   l nbdry x 1 vector containing length of each boundary edge

% Fernando Guevara Vasquez 2008
function l = edge_length(grid)
p = grid.p; be= grid.be;
for j=1:size(be,1),
 l(j) = norm(p(be(j,1),:) - p(be(j,2),:));
end;
